#include <iostream>
#include <vector>
using namespace std;

class Student {
private:
    string name;
public:
    Student(string n) : name(n) {}
    void display() {
        cout << "Студент: " << name << endl;
    }
};

class University {
private:
    vector<Student*> students;
public:
    void addStudent(Student* student) {
        students.push_back(student);
    }
    void listStudents() {
        for (auto student : students) {
            student->display();
        }
    }
};

int main() {
    University uni;
    Student s1("Иван");
    Student s2("Мария");

    uni.addStudent(&s1);
    uni.addStudent(&s2);

    uni.listStudents();
    return 0;
}
